import QtQuick 1.1

Rectangle {
    id: bannerFrame
    height: 50
    width: 200
    radius: 5
    color: "#1890a8"

    function reload(){
        banner.reload()
    }

    Banner{
        id: banner

        onStatusChanged: {
            if(status == XmlListModel.Ready)
            {
                for(var i = 0; i < count; i++)
                    console.log(get(i).icon + '<br/>' + get(i).alt)
            }
        }
    }

    ListView{
        id: bannerView
        anchors.fill: parent
        model: banner
        delegate: Image{
            source: icon
            width: 190
            height: 48
            z:100

            MouseArea{ anchors.fill: parent; onClicked: { banner.reload(); Qt.openUrlExternally(url) } }
        }
    }

    Component.onCompleted: bannerFrame.reload()
}
