import QtQuick 1.1

Component{
    id: categoryDelegate

    Item{
        id: category

        width: GridView.view.cellWidth - 5
        height: GridView.view.cellHeight - 5

        Rectangle {
            id: frame
            radius: 10
            border.color: "#b7a623"
            anchors.fill: parent

            Column{
                id: row
                anchors.fill: parent
                anchors.topMargin: 6
                spacing: 6

                Image{
                    source: icon
                    width: 42
                    height: 42
                    smooth: true
                    anchors.horizontalCenter: parent.horizontalCenter
                }

                Text{
                    id: label
                    text: name
                    anchors.horizontalCenter: parent.horizontalCenter
                    width: category.width - 5
                    wrapMode: Text.WordWrap
                    horizontalAlignment: Text.AlignHCenter
                    font.pointSize: 18
                }
            }
        }

        MouseArea{
            anchors.fill: parent
            onClicked: {
                categoriesView.currentIndex = index;

                var component = Qt.createComponent(Qt.resolvedUrl("TransactionDialog.qml"));

                if (component.status == Component.Ready)
                {
                    var dialog = component.createObject(category);

                    dialog.catName  = name;
                    dialog.catId    = id;
                    dialog.tag      = tag;
                    dialog.icon     = icon;
                    dialog.icon2    = "images/coin-.png";

                    dialog.setupDateDialog();

                    pageStack.push(dialog);
                }
                else
                    console.log(component.errorString())
            }
        }
    }
}
