import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: container
    width: 210
    height: 62

    // Font properties
    property string fontName: 'Helvetica'
    property int fontSize: 8
    property color fontColor: "#666666"
//    property string mode: "NOT SET"
    property XmlListModel m_model
    property alias cIndex: categoryReel.index

    function selectCategory(cat)
    {
        console.log(cat + ' model count : ' + m_model.count);

        for(var i = 0; i < m_model.count; i++)
        {
            console.log(m_model.get(i).name + " : " + cat);

            if(m_model.get(i).name === cat)
            {
                console.log('select the reel index ' + i)

		categoryReel.index = i
            }
        }
    }

    function update()
    {
        m_model.reload()
    }

    function closeReel()
    {
        categoryReel.close()
    }

    property Component itemBackground: Component {
        BorderImage {
            border { top: 8; bottom: 8; left: 8; right: 8 }
            source: "gfx/button.png"
        }
    }
    property Component itemBackgroundPressed: Component {
        BorderImage {
            border { top: 8; bottom: 8; left: 8; right: 8 }
            source: "gfx/button_pressed.png"
        }
    }

    Component {
        id: categoryDelegate
        Button {
            width: container.width
            height: container.height
            text: index>-1? name: 'invalid'
            onClicked: { categoryReel.index = index; categoryReel.toggle() }
        }
    }

    ReelAlt {
        id: categoryReel
        width: container.width
        height: container.height
        model: m_model
        delegate: categoryDelegate
        autoClose: false
    }

    Expenses{
        id: categoriesExpenses
    }

    Income{
        id: categoriesIncome
    }

    Categories{ id: allCategories}

    function getCategory()
    {
        return m_model.get(categoryReel.index).name
    }

    function getCategoryId()
    {
        return m_model.get(categoryReel.index).id
    }
}
