import QtQuick 1.1

Item {
    id: googleChartsCategory

    function reset()
    {
	checked = 0
	img.source = "images/checkbox_unchecked.png"
    }

    function select()
    {
	checked = 1
	img.source = "images/checkbox_checked.png"
	googleChartsManager.addToList(id)
    }

    function clearSelection()
    {
	checked = 0
	img.source = "images/checkbox_unchecked.png"
	googleChartsManager.removeFromList(id)
    }

    property int checked: 0

    Rectangle{
	id: rect
        anchors.fill: parent
	border.color: "grey"
        radius: 6
        color: "transparent"

	Column {
            anchors.centerIn: parent
            spacing: 6
            Text { text: name; color: "white"; font.pointSize: 18; anchors.horizontalCenter: parent.horizontalCenter }
	    Image{
		id: img
		width: 32;
		height: 32;
                smooth: true
		source: "images/checkbox_unchecked.png"
		anchors.horizontalCenter: parent.horizontalCenter
	    }
	}

	MouseArea{
	    anchors.fill: parent
	    onClicked: {
		if( googleChartsCategory.checked === 0) {
		    img.source = "images/checkbox_checked.png"; googleChartsManager.addToList(id); googleChartsCategory.checked = 1
		} else{
		    img.source = "images/checkbox_unchecked.png"; googleChartsManager.removeFromList(id); googleChartsCategory.checked = 0
		}
	    }
	}
    }
}
