import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: incomePage

    orientationLock: PageOrientation.LockPortrait

    // define a tab bar with three buttons and link them to the content
    // define a tab bar with three buttons and link them to the content
    tools: ToolBarLayout{

        ToolIcon {

             platformStyle: ToolItemStyle {inverted: true}
             iconId: "toolbar-back" ;

             onClicked: { pageStack.pop() }
        }

        ToolIcon { iconId: "toolbar-add"
            onClicked: {
                var component = Qt.createComponent("AddCategory.qml");
                if (component.status == Component.Ready) {
                    var page = component.createObject(incomePage);
                    page.transactiontype = "income";
                    pageStack.push(page);
                }
            }
        }
        ToolIcon { iconId: "toolbar-edit"
            onClicked: {
                var component = Qt.createComponent("EditCategory.qml");
                if (component.status == Component.Ready) {
                    var page = component.createObject(incomePage);
                    page.transactiontype = "income";

                    var modelcomp = Qt.createComponent("Income.qml");
                    if (component.status == Component.Ready) {
                        var model = modelcomp.createObject(incomePage);

                        page.m_tmodel = model;
                    }

                    pageStack.push(page);
                }
            }
        }
        ToolIcon{ iconId: "toolbar-delete"
            onClicked: {
                var component = Qt.createComponent("RemoveCategory.qml");
                if (component.status == Component.Ready) {
                    var page = component.createObject(incomePage);
                    page.transactiontype = "income";

                    var modelcomp = Qt.createComponent("Income.qml");
                    if (component.status == Component.Ready) {
                        var model = modelcomp.createObject(incomePage);

                        page.m_tmodel = model;
                    }

                    pageStack.push(page);
                }
            }
        }
    }

    Component {
             id: appHighlight
             Rectangle { width: 80; height: 80; color: "lightsteelblue" }
         }


    Component{
        id: headerView
        Rectangle{
            height: 40
            color: "grey"
            width: categoriesView.width - 5
            x: categoriesView.x  - 4
            y:0
            radius: 6

            Text {
                id: detailsTitle
                text: qsTr("Categories of income")
                font.pointSize: 20
                color: "#FFFFFF"
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
            }
        }
    }

    GridView{
        id: categoriesView
        anchors.fill: parent
        anchors.margins: 6
        highlight: appHighlight
        header: headerView
        focus: true

        cellHeight: 110
        cellWidth: 154

        model: universalIncomeModel

        delegate: CategoryDelegate{ }
    }

    Income{ id: universalIncomeModel }

    Component.onCompleted: theme.inverted = true
}
