import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: pageShare
    anchors.fill: parent
    orientationLock: PageOrientation.LockPortrait

    property bool toolbarvisible : false

    tools:ToolBarLayout {
        id: commonTools
        visible: toolbarvisible
        ToolIcon {
             iconId: "toolbar-back" ;

            onClicked: {
                pageStack.pop()
            }
        }
    }

    property string facebook_feed_app_id: "109618152487924"
    property string facebook_feed_picture: "http://idealapps.gr/wp-content/uploads/2011/10/finddifferenceslite_50x50.png"
    property string facebook_feed_name: "Find Differences"
    property string facebook_feed_caption: "Find Differences"
    property string facebook_feed_description: "A puzzle game for Nokia mobile devices"
    property string facebook_feed_message: "NOT SET"
    property string facebook_feed_link: "http://idealapps.gr"
    property string facebook_redirect_uri: "http://idealapps.gr"

    property string twitter_tweet_inreplyto: "144742593874497537"
    property string twitter_tweet_related: "idealapps_gr,IdealApps.gr,idealapps.gr"

    property string twitter_follow_screen_name: "idealapps_gr"

    property string email_icon: "images/email_icon.svg"
    property string facebook_icon: "images/facebook-logo.png"
    property string twitter_icon: "images/twitter-logo.jpg"

    property string email_body: "Hey! Playing Find Differences was fun!check Find Differences game at Nokia store\nhttp://store.ovi.com/publisher/ideal apps/"
    property string email_subject: "Find Differences"

    function sendEmail(){

        Qt.openUrlExternally('mailto:?subject='+ email_subject + '&body=' + email_body)
    }

    function shareOnFacebook()
    {
        var url = "http://www.facebook.com/dialog/feed?"
        url += "app_id=" + facebook_feed_app_id + "&link=" + facebook_feed_link +"&picture=" + facebook_feed_picture +"&"
        url += "name=" + facebook_feed_name + "&caption=" + facebook_feed_caption + "&description=" + facebook_feed_description +"&"
        url += "message=" + facebook_feed_message + "&redirect_uri=" + facebook_redirect_uri

        console.log(url)

        Qt.openUrlExternally(url)
    }

    function tweet(){
        var url = "https://twitter.com/intent/tweet?in_reply_to=" + twitter_tweet_inreplyto + "&related=" + twitter_tweet_related

        Qt.openUrlExternally(url)
    }

    function followOnTwitter(){
        var url = 'https://twitter.com/intent/user?screen_name=' + twitter_follow_screen_name

        Qt.openUrlExternally(url)
    }

    ListModel{
        id: buttonsModel

        ListElement{ name: "email"; icon: "images/email_icon.svg" }
        ListElement{ name: "facebook"; icon: "images/facebook-logo.png" }
        ListElement{ name: "tweet us"; icon: "images/twitter-logo.jpg" }
        ListElement{ name: "follow us"; icon: "images/twitter-logo.jpg" }
    }

    Component{
        id: buttonDelegate
        Rectangle{
            width: buttonsView.width
            height: 65
            border.color: "grey"
            radius: 6

            Row{
                anchors.fill: parent
                anchors.margins: 6
                spacing: 10

                Image{
                    anchors.verticalCenter: parent.verticalCenter
                    source: icon
                    width: 48
                    height: 48
                    fillMode: Image.PreserveAspectFit
                    smooth: true
                }

                Text{
                    anchors.verticalCenter: parent.verticalCenter
                    text: name
                    font.pointSize: 22
                    color: "grey"
                }
            }

            MouseArea{
                anchors.fill: parent
                onClicked: {
                    if(name === 'email')
                    {
                        sendEmail()
                    }
                    else if(name === 'facebook')
                    {
                        shareOnFacebook()
                    }
                    else if(name === 'tweet us')
                    {
                        tweet()
                    }
                    else
                    {
                        followOnTwitter()
                    }
                }
            }
        }
    }

    Component{
        id: headerView

        Rectangle{
            width: buttonsView.width
            height: 40
            color: "grey"
            radius: 6

            Text{
                anchors.centerIn: parent
                text: "Sharing methods"
                font.pointSize: 22
                color: "white"
            }

        }
    }

    ListView{
        id: buttonsView
        width: parent.width * 0.5
        height: 4 * 75
        spacing: 6
        anchors.centerIn: parent
        header: headerView
        model: buttonsModel
        delegate: buttonDelegate
    }
}