import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: container
    width: 250
    height: 62

    // Font properties
    property string fontName: 'Helvetica'
    property int fontSize: 14
    property color fontColor: "#666666"

    function closeReel()
    {
        period.close()
    }

    property Component itemBackground: Component {
        BorderImage {
            border { top: 8; bottom: 8; left: 8; right: 8 }
            source: "gfx/button.png"
        }
    }
    property Component itemBackgroundPressed: Component {
        BorderImage {
            border { top: 8; bottom: 8; left: 8; right: 8 }
            source: "gfx/button_pressed.png"
        }
    }

    Component {
        id: periodDelegate
        Button {
            width: container.width
            height: container.height
            text: name
            onClicked: { period.index = index; period.toggle() }
        }
    }

    Reel {
        id: period
        width: container.width
        height: container.height
        model: periods
        delegate: periodDelegate
        autoClose: false
    }

    ListModel{
        id: periods

        ListElement { number: "0"; name: "Today" }
        ListElement { number: "1"; name: "Yesterday" }
        ListElement { number: "2"; name: "Last week" }
        ListElement { number: "3"; name: "Last 2 weeks" }
        ListElement { number: "4"; name: "Last month" }
        ListElement { number: "5"; name: "Last 3 months" }
        ListElement { number: "6"; name: "Last 6 months" }
        ListElement { number: "7"; name: "Last year" }
        ListElement { number: "8"; name: "All" }
    }

    function getCurrentIndex() {
        return period.index;
    }

    function getCurrentName(){
        return periods.get(period.index).name;
    }
}
