import QtQuick 1.0
import com.nokia.meego 1.0

Page {
    id: statsQueryPage

    orientationLock: PageOrientation.LockPortrait

    // define a tab bar with three buttons and link them to the content
    tools: ToolBarLayout{

        ToolIcon {

             platformStyle: ToolItemStyle {inverted: true}
             iconId: "toolbar-back" ;

             onClicked: { pageStack.pop() }
        }

         ToolButton { text: qsTr("All"); width: 120;
             onClicked: {
                 CategoriesModel.selectAll();
             }
         }

         ToolButton { text: qsTr("None"); width: 120;
             onClicked: {
                 CategoriesModel.selectNone();
             }
         }

         ToolButton { text: qsTr("Submit"); width: 120;
             onClicked: {
                 var component = Qt.createComponent("PageStatsWidget.qml");
                 if (component.status == Component.Ready) {
                     var page            = component.createObject(statsQueryPage);
                     page.transactions   = TransactionsModel.getTransactions();
                     page.categories     = CategoriesModel.getCheckedCategories();
                     page.iIndex         = periodReel.getCurrentIndex();
                     page.title          = periodReel.getCurrentName();

                     page.setupTransactions();

                     pageStack.push(page);
                 }
             }
         }
    }

    Component{
        id: headerView
        Rectangle{
            height: 30
            color: "grey"
            width: categoryListView.width
            x: categoryListView.x
            radius: 3

            Text {
                id: detailsTitle
                text: qsTr("Categories")
                color: "#FFFFFF"
                font.pointSize: 20
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
            }
        }
    }

    Item{
        id: containerItem
        anchors.fill: parent
        anchors.margins: 6

        PeriodReel{
            id: periodReel;
            anchors.top: parent.top;
            height: 60
            width: parent.width
        }

        ListView{
            id: categoryListView;
            anchors{
                left: parent.left;
                bottom: parent.bottom;
                right: parent.right;
                top: periodReel.bottom
            }
            model: CategoriesModel
            delegate: CategoryAltDelegate{}
            header: headerView
        }
    }
}
