import QtQuick 1.1
import com.nokia.meego 1.0

Item{
    id: transaction

    property real editModeOpacity : 0

    width: transactionView.width - 5

    height: 70

    MouseArea {
        anchors.fill: parent

        onClicked: { transactionView.currentIndex = index; currentTransactionId = id; }
    }

    Rectangle{
        color: "transparent"
        radius: 6
        border.color: "lightgrey"
        anchors.fill: parent
        anchors.margins: 4

        Row{
            id: topLayout
            x: 6; y: 2;
            width: parent.width
            height: 60
            spacing: 6

            Column{
                spacing: 6
                anchors.verticalCenter: parent.verticalCenter

                Text {
                    text: "(" + DateString + ")"
                    color: "white"
                    font.pointSize: 18
                    font.bold: transaction.ListView.isCurrentItem? true: false
                }

                Text{
                    text: CategoryName
                    color: "white"
                    font.pointSize: 18
                    font.bold: transaction.ListView.isCurrentItem? true: false
                    wrapMode: Text.WordWrap

                }
            }

            Image{
                source: "images/line.png"
                anchors.verticalCenter: parent.verticalCenter

            }

            Text{
                text: AmountString
                color: CategoryTag === 'income'? "cornflowerblue" : "red"
                font.pointSize: 18
                font.bold: transaction.ListView.isCurrentItem? true: false
                anchors.verticalCenter: parent.verticalCenter
            }

            Image{
                source: "images/line.png"
                anchors.verticalCenter: parent.verticalCenter

            }

            Text{
                text: Description
                color: "white"
                width: parent.width
                wrapMode: Text.WordWrap
                font.pointSize: 18
                font.bold: transaction.ListView.isCurrentItem? true: false
                anchors.verticalCenter: parent.verticalCenter
            }
        }
    }
}
