import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: window

    initialPage: expensesPage

    showStatusBar: false

    showToolBar: true

    platformStyle: PageStackWindowStyle{ inverted: true }

    property bool show: false

    property int seconds: 6

    ExpensesPage{
        id: expensesPage
    }

     Rectangle{
          id: exitDialog
          anchors.fill: parent
          color: "black"
          radius: 6
          border.color: "white"
          border.width: 2
          z: 100
          opacity: 0.9
          visible: window.show

          Timer{
              running: window.show
              interval: 1000
              repeat: true
              onTriggered: { window.seconds = window.seconds - 1 }
          }

          Column{
              spacing: 15
              anchors.centerIn: parent

              Text{
                  text: qsTr("Press Exit to exit the application or Cancel to go back")
                  width: parent.width
                  anchors.horizontalCenter: parent.horizontalCenter
                  wrapMode: Text.WordWrap
                  color: "white"
                  horizontalAlignment: Text.AlignHCenter
                  font.pointSize: 19
              }

              Row{
                  spacing: 20
                  anchors.horizontalCenter: parent.horizontalCenter
                  Button{
                      text: qsTr("Exit")
                      width: 150
                      height: 60
                      visible: window.seconds < 0? true: false

                      onClicked: Qt.quit()
                  }

                  Button{
                      text: qsTr("Cancel")
                      width: 150
                      height: 60

                      onClicked: window.show = false
                  }
              }

              Text{
                  text: qsTr("Please support our work to keep this application<br/>Free ( as Beer !! )<br/> by taping on the banner below")
                  width: exitDialog.width
                  anchors.horizontalCenter: parent.horizontalCenter
                  wrapMode: Text.WordWrap
                  horizontalAlignment: Text.AlignHCenter
                  font.pointSize: 20
                  color: "white"
                  visible: window.seconds < 0? false: true
              }

              BannerFrame{
                  id: bannerFrame
                  anchors.horizontalCenter: parent.horizontalCenter
                  visible: window.seconds < 0? false: true
              }

              Text{
                  text: qsTr("Auto hide in " + window.seconds + ' seconds')
                  visible: window.seconds < 0? false: true
                  font.pointSize: 22
                  color: "white"
                  anchors.horizontalCenter: parent.horizontalCenter
                  horizontalAlignment: Text.AlignHCenter
              }
          }
      }

     Component.onCompleted: { exitDialog.width = window.width; exitDialog.height = window.height }
}
